Bug 92225 - Unhandled exception in network config tool
Unhandled exception in network config tool
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-03 19:01 EDT by Dave Rosenberg
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-04 05:56:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Rosenberg 2003-06-03 19:01:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3.1) Gecko/20030425

Description of problem:
On multiple, fresh installations of rh9 that we've got in house, we uniformly
get the following exception trace:

Component: redhat-config-network
Version: 1.2.0
Summary: TB
/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py:198:__init__:NameError:
global name 'timeout_add' is not defined
Traceback (most recent call last):
  File "/usr/sbin/redhat-config-network-gui", line 154, in ?
    window = mainDialog()
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 198, in __init__
NameError: global name 'timeout_add' is not defined

Local variables in innermost frame:
widget: <gtk.VBox object (GtkVBox) at 0x86881e4>
notebook: <gtk.Notebook object (GtkNotebook) at 0x864c42c>
page: 0
glade_file: /usr/share/redhat-config-network/netconfpkg/gui/maindialog.glade
self: <netconfpkg.gui.maindialog.mainDialog instance at 0x85f0f2c>



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. execute /usr/sbin/redhat-config-network as root (or use the menu)
2.
3.
    

Actual Results:  Bug traceback dialog

Expected Results:  network configuration dialog

Additional info:

This is a big pain, as we've no desire to figure out the mysteries of the very
complex network configuration in rh9
Comment 1 Harald Hoyer 2003-06-10 11:20:13 EDT
Please try:
ftp://people.redhat.com/harald/redhat-config-network/1.2.9-RH9/
Comment 2 Harald Hoyer 2004-06-04 05:56:46 EDT
Closing due to inactivity. Reopen, if the problem is still existing.

Note You need to log in before you can comment on or make changes to this bug.